Subject: bug#73730: 31.0.50; Support for color fonts on MS-Windows

From: Cecilio Pardo <[email-masked]>
Date: Sun, 27 Oct 2024 16:44:13 +0100

> Could you perhaps try the 32-bit build with the latest win32 binaries
> that the HarfBuzz project itself provides from their Releases page?
> 
>    https://github.com/harfbuzz/harfbuzz/releases

I replaced libharfbuzz-0.dll with the one from version 10.0.1 (the 
latest one) and it just works, with and without DirectWrite, without 
rebulding Emacs with the new headers.

Besides the normal build with meson/cmake, I've seen this:

   There is also amalgamated source provided with HarfBuzz which reduces
   whole process of building HarfBuzz to g++ src/harfbuzz.cc
   -fno-exceptions but there is no guarantee provided with buildability 	
   and reliability of features you get.

I will take a look at that.